Copyright: Created with EasyHelp (Tel: 0973 209667)


L5203 S/Button Helper - RG354397

Description

This function block assists in connecting real and op-station push buttons through L5203 EI Bisync Slave parameters to a Bisync supervisor.  It sends either a True or False Output repeatedly (every 250ms) if its Input F or Input T input is true.  It sends nothing if both inputs are the same.  For example, consider connecting a set/reset push button pair to a supervisor via one bit of a L5203 S/Logics Helper and an L5203 S/Ordinal Parameter as shown below.

The salient point is that user feedback via button highlight must traverse the entire signal path.  This arrangement avoids accidental overwrites by the supervisor or the parameters integral sender.

Parameters

Input T	Input T.  Expects a logic (True or False).

Input F	Input F.  Expects a logic (True or False).

Get Input T	Returns the current value of input T:  True or False.

Get Input F	Returns the current value of input F:  True or False.


Description

This function block assists in connecting real and op-station push buttons through L5203 EI Bisync Slave parameters to a Bisync supervisor.  It sends either a True or False Output repeatedly (every 250ms) if its Input F or Input T input is true.  It sends nothing if both inputs are the same.  For example, consider connecting a set/reset push button pair to a supervisor via one bit of a L5203 S/Logics Helper and an L5203 S/Ordinal Parameter as shown below.

The salient point is that user feedback via button highlight must traverse the entire signal path.  This arrangement avoids accidental overwrites by the supervisor or the parameters integral sender.


Parameters

Input T	Input T.  Expects a logic (True or False).

Input F	Input F.  Expects a logic (True or False).

Get Input T	Returns the current value of input T:  True or False.

Get Input F	Returns the current value of input F:  True or False.